Package org.eclipse.e4.ui.css.core.impl.sac

# Class CSSClassConditionImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.sac.AbstractAttributeCondition
org.eclipse.e4.ui.css.core.impl.sac.CSSAttributeConditionImpl
org.eclipse.e4.ui.css.core.impl.sac.CSSClassConditionImpl

All Implemented Interfaces:
  `ExtendedCondition`, `org.w3c.css.sac.AttributeCondition`, `org.w3c.css.sac.Condition`

public class CSSClassConditionImpl extends CSSAttributeConditionImpl
This class provides an implementation of the `AttributeCondition` interface.

## Field Summary

### Fields inherited from class org.eclipse.e4.ui.css.core.impl.sac.CSSAttributeConditionImpl

`localName, namespaceURI, specified`

### Fields inherited from class org.eclipse.e4.ui.css.core.impl.sac.AbstractAttributeCondition

`value`

### Fields inherited from interface org.w3c.css.sac.Condition

`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

## Constructor Summary

Constructors
Constructor
Description
`CSSClassConditionImpl(String localName, String namespaceURI, String value)`
Creates a new CSSAttributeCondition object.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`match(Element e, String pseudoE)`
Tests whether this condition matches the given element.

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.sac.CSSAttributeConditionImpl

`equals, fillAttributeSet, getConditionType, getLocalName, getNamespaceURI, getSpecified, hashCode, toString`

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.sac.AbstractAttributeCondition

`getSpecificity, getValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CSSClassConditionImpl

public CSSClassConditionImpl(String localName, String namespaceURI, String value)
Creates a new CSSAttributeCondition object.

## Method Details

### match

public boolean match(Element e, String pseudoE)
Description copied from class: `CSSAttributeConditionImpl`
Tests whether this condition matches the given element.

Specified by:
  `match` in interface `ExtendedCondition`
Overrides:
  `match` in class `CSSAttributeConditionImpl`